< 返回上层

docker容器中安装vi命令

2019-01-10 10:25:19 79次

 在使用docker容器时,有时候里边没有安装vim,敲vim命令时提示说:vim: command not found,这个时候就需要安装vim,可是当你敲apt-get install vim命令时,提示: 

Reading package lists... Done 
Building dependency tree 
Reading state information... Done 
E: Unable to locate package vim 
这时候需要敲:

apt-get update

 

,这个命令的作用是:同步 /etc/apt/sources.list 和 /etc/apt/sources.list.d 中列出的源的索引,这样才能获取到最新的软件包。 
等更新完毕以后再敲命令:

apt-get install vim


提交成功!非常感谢您的反馈,我们会继续努力做到更好!

更多建议

这条文档是否有帮助解决问题?

没有帮助 有帮助

非常抱歉未能帮助到您。为了给您提供更好的服务,我们很需要您进一步的反馈信息:

在文档使用中是否遇到以下问题: